function expand(sel,active) {
	var level = sel.substring(6,7);
	$('#'+sel+'-sub').slideDown('normal');
	$('#'+sel+'-arrow').removeClass('leftmenu-arrow-closed').addClass('leftmenu-arrow-opened');
	$('#'+sel).addClass('leftmenu-selected');
	if(active){ //dzialy akywne
		$('#'+sel+'-sub').addClass('leftmenu-active');
		if(level==1)
			$('#'+sel).addClass('leftmenu-active');	
	}
//	if(level == 1)
//		$('#'+sel).addClass('leftmenu-underline-1');
//	else if($('#'+sel+'-sub').length)
//		$('#'+sel).addClass('leftmenu-underline-1-sub');	
}

function collapse(sel) {
	//$('#'+sel+'-sub').slideUp('normal');
	$('#'+sel+'-sub').slideUp('normal', function(){
		$('#'+sel+'-sub').css('display', 'none');	
		$('#'+sel+'-arrow').removeClass('leftmenu-arrow-opened').addClass('leftmenu-arrow-closed');
		$('#'+sel).css('border-bottom','none');
		$('#'+sel).removeClass('leftmenu-selected');
		
//		$('#'+sel).removeClass('leftmenu-underline-1');
//		$('#'+sel).removeClass('leftmenu-underline-1-sub');
	});			
}

$(document).ready(function(){
	if(l1expand != '')
		expand(l1expand,true);
	if(l2expand != '')
		expand(l2expand,true);
	if(l3expand != '')
		expand(l3expand,true);
	if(l4expand != '')
		expand(l4expand,true);
	
	$('.leftmenu-link, .leftmenu-1, .leftmenu-2, .leftmenu-3, .leftmenu-4, .leftmenu-1-active, .leftmenu-2-active, .leftmenu-3-active, .leftmenu-4-active').click(function(){
//	$('.leftmenu-1, .leftmenu-2, .leftmenu-3, .leftmenu-4, .leftmenu-1-active, .leftmenu-2-active, .leftmenu-3-active, .leftmenu-4-active').mouseenter( function(){
		if(this.href) { // jak link to nie rozwijaj
			location.href = this.href;
			return false;
		}
		else 
		{			
			if($('#'+this.id+'-sub').css('display') == 'none') {
				expand(this.id);
			}
			else {
				collapse(this.id);
				return false;
			}
		}
	});
//	$('.leftmenu-arrow-zwin').click(function (){
//		var id = this.id.replace('-arrow','');
//		collapse(id);
//	});
});